pods::SDL::TTF::Font(3pm)

NAME
SDL::TTF::Font - Font object type for SDL_ttf

CATEGORY
TTF, Structure

METHODS

CONSTRUCTOR
 my $font = SDL::TTF::Font->new($font_file, $point_size);

 my $font = SDL::TTF::Font->new($font_file, $point_size, $face_index);

Load file for use as a font, at the given size. This can load TTF, OTF and FON files. You can specify the face index of a font file containing multiple faces.

Returns: a SDL::TTF::Font object. "undef" is returned on errors.

Example:

 use SDL::TTF::Font;

 my $font = SDL::TTF::Font->new('arial.ttf', 24);

AUTHORS
See "AUTHORS" in SDL.

SEE ALSO
SDL::TTF